WhatsNext:AddConditionalStatement("Chi",{
	category = "Monk",
	test = function(checkTable) 
		return tonumber(checkTable.amount) <= UnitPower("player" ,12)
	end,
	text = function(checkTable) 
		return "player has at least " .. tostring(checkTable.amount) .. " chi."
	end,
	arguments = {
		amount = {type = "integer", default = 0},
	}
})

local function GetStaggerTickAmount()
	return select(15,UnitDebuff("player",WN_GetSpellName(124275))) or select(15,UnitDebuff("player",WN_GetSpellName(124274))) or select(15,UnitDebuff("player",WN_GetSpellName(124273))) or 0
end

local staggerAmount, amount
WhatsNext:AddConditionalStatement("Stagger",{
	category = "Monk",
	test = function(checkTable) 
		return GetStaggerTickAmount() >= checkTable.amount * UnitHealthMax("player")
	end, 
	text = function(checkTable)
		amount = tonumber(checkTable.amount)
		return "player's stagger ticks are greater than or equal to " .. tostring(amount and amount*100 or checkTable.amount) .. "% of their maximum health."
	end,
	arguments = {
		amount = {type = "percent", default = .01},
	}
})

WhatsNext:AddConditionalStatement("Stagger Amount",{
	category = "Monk",
	test = function(checkTable) 
		return GetStaggerTickAmount() >= checkTable.amount
	end,
	text = function(checkTable)
		return "player's stagger ticks are greater than or equal to " .. tostring(checkTable.amount) .. "."
	end,
	arguments = {
		amount = {type = "integer", default = 1},
	}
})
